File: changelog

package info (click to toggle)
pkg-config 0.29-6
  • links: PTS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 12,292 kB
  • sloc: ansic: 131,421; sh: 12,550; perl: 1,113; makefile: 625; python: 461
file content (368 lines) | stat: -rw-r--r-- 13,374 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
pkg-config (0.29-6) unstable; urgency=medium

  * Add missing "warning" in use in dpkg hook, and corresponding test.
    Closes: #920553
  * Add missing set -e to tests.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 27 Jan 2019 05:56:33 +0100

pkg-config (0.29-5) unstable; urgency=medium

  * Add dpkg-dev to Suggests and make pkg-config-crosswrapper error if
    dpkg-dev is not installed.  Add corresponding autopkgtest.
    Closes: #916772
  * Ignore unknown architectures when setting up symlinks.  Thanks to Jim
    Patterson for the patch.  Closes: #848706
  * Bump debhelper compat version to 10.
  * Add Rules-requires-root: no to control file.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 24 Jan 2019 10:01:45 +0100

pkg-config (0.29-4) unstable; urgency=medium

  * Update glib/m4macros/glib-gettext.m4 from newer upstream version to
    avoid m4 redefinition/overwrite.  Closes: #822409
  * Add Conflicts and Replaces on pkg-config-bin. This was a suggested
    change earlier which some users have picked up, even if it never made
    it into Debian.  Closes: #809221

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 01 May 2016 08:26:59 +0200

pkg-config (0.29-3) unstable; urgency=medium

  * Store pkg-config architecture in /usr/lib/pkg-config.multiarch and
    pick that up in the crosswrapper.  Closes: #807289, #807946

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 15 Jan 2016 21:46:07 +0100

pkg-config (0.29-2) unstable; urgency=medium

  * Fix typo in crosswrapper.
  * Add set -e to postinst and prerm

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 15 Nov 2015 15:38:06 +0100

pkg-config (0.29-1) unstable; urgency=medium

  * Drop unused build-dep on libpopt-dev.  Closes: #751897
  * Add symlinks to pkg-config-crosswrapper using dpkg hooks. Thanks to
    Helmut Grohne for this, both design and implementation. Closes: #759556
  * Export LC_ALL=C in debian/rules to make the build more reproducible.
    Closes: #792821
  * Remove fixing of test running, it now works out of the box.
  * Correct spelling of pkg-config in debian/copyright.
  * Add missing quoting for arguments in crosswrapper.
  * Make crosswrapper handle native builds correctly.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 15 Nov 2015 13:58:45 +0100

pkg-config (0.28-1) unstable; urgency=medium

  * New upstream release.  (Closes: #699476, #744031)
    - Updated man page with fewer errors. (Closes: #661838)
  * Fix test running with newer automake.
  * Drop popt stuff from debian/rules, upstream no longer ships popt.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 23 Apr 2014 18:16:22 +0200

pkg-config (0.26-1+autoconf) unreleased; urgency=medium

  * Non-maintainer upload.
  * Update config.{sub,guess} for new arches (with dh-autoreconf) (Closes: #742665)
  * Add Multiarch metadata (M-A: foreign), so this package can
    satisfy cross- build-dependencies. The cross-build environment is
    responsible for providing the $triplet-pkg-config symlink to
    pkg-config-crosswrapper. (Closes: #726598)
  * Update crosswrapper script to search multiarch paths, traditional
    cross-compilation paths, arch-independent paths, and /usr/local counterparts.
    Thanks to Simon McVittie, Steve Langasek, Vincent Danjean, Wookey
    (Closes: #642292, #650298, #631275)
  * Make pkg-config itself cross-buildable. (Closes: #716918)

 -- Wookey <wookey@debian.org>  Mon, 24 Mar 2014 17:58:55 +0000

pkg-config (0.26-1) unstable; urgency=low

  * New upstream release
    - Updated usage message.  Closes: #389066
    - Fixes old bug.  Closes: #475031
    - Allows PKG_CONFIG_LIBDIR.  Closes: #398901
    - Man page documents how to get the default search path.  
      Closes: #576320
  * Switch to multiarch paths.  Thanks to Steve Langasek for the patch.
    Closes: #590992
  * Strip out multiarch library paths.  Closes: #482884
  * Drop a cross wrapper into /usr/share.  Thanks to Wookey for the
    implementation.   Closes: #217902
  * Re-add two missing lines in Changelog which were accidentially
    removed.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 15 May 2011 14:37:09 +0200

pkg-config (0.25-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * pkg.m4: Apply commit 2b86e9b from upstream, to fix compatibility with
    autoconf (>= 2.66). (Closes: #591547)

 -- Tim Retout <diocles@debian.org>  Sun, 03 Oct 2010 17:13:29 +0100

pkg-config (0.25-1) unstable; urgency=low

  * New upstream release
    - Stops escaping = and : in output.  Closes: #582995
  * Build with external libpopt.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 28 May 2010 18:16:36 +0200

pkg-config (0.24-1) unstable; urgency=low

  * New upstream release. closes: #476947
    - Marks PKG_CONFIG_PATH and PKG_CONFIG_LIBDIR as precious.  
      Closes: #398901
    - Give the ability to log, closes: #528240
    - Adds description of Requires.Private to man page.  Closes: #341977
    - Fixes man page formatting.  Closes: #398434
  * Add ${misc:Depends} to control
  * Bump debhelper version to 7, switch to dh
  * Add homepage field to control
  * Update Standards-Version field to 3.8.4.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 23 May 2010 23:38:20 +0200

pkg-config (0.22-1) unstable; urgency=low

  * New upstream release
    - Make Requires.private a whole lot more useful by traversing the
      whole tree, not just the top-level, for Cflags.  Closes: #390132
    - Add support for using the system glib.
  * Build using system glib.
  * Add _GNU_SOURCE to the list of defines to make strsignal appear.
    Closes: #316384
  * Remove suggests for libgnome-dev.  Closes: #405901

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 18 Jun 2007 23:38:59 +0200

pkg-config (0.21-1) unstable; urgency=low

  * New upstream release
    - Adds internal pkg-config package.  (closes: #254289)
    - Supports escaping $ rather than %.  (closes: #378570)
    - Always adds all cflags.  (closes: #340904)
  * Includes full NEWS file.  (closes: #334896)
  * Remove libglib2.0-dev build-deps.  (closes: #350176)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 16 Aug 2006 21:11:21 +0200

pkg-config (0.20-1) unstable; urgency=low

  * New upstream release
    - Fixes segfault with --help and gcc4 (closes: #321961)
    - New pkg.m4 uses --short-errors and spits out a more sensible error
      when some dependencies aren't found.  (closes: #321970)
  * Install upstream ChangeLog (closes: #318718)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 17 Oct 2005 07:47:58 +0200

pkg-config (0.19-1) unstable; urgency=low

  * New upstream release

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 16 Jul 2005 12:26:33 +0200

pkg-config (0.18.1-1) unstable; urgency=low

  * New upstream release
    - Fix brown bag bug where pkg.m4 always set pkg_failed to
    untried. (closes: #316181)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 29 Jun 2005 12:58:21 +0200

pkgconfig (0.18-1) unstable; urgency=low

  * New upstream release
    - Fixes PKG_CONFIG_LIBDIR again. (closes: #313004)
    - Includes documentation on the fact that the first check for
      PKG_CHECK_MODULES must not be conditional.  (closes: #303211)
    - Only links with public libraries now.  (closes: #229980)
  * Remove --no-indirect-deps to configure.

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 27 Jun 2005 23:07:03 +0200

pkgconfig (0.17.2-1) unstable; urgency=low

  * New upstream release, no Debian-related changes.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 17 Apr 2005 13:23:59 +0200

pkgconfig (0.17.1-1) unstable; urgency=low

  * New upstream release

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 12 Apr 2005 23:12:48 +0200

pkgconfig (0.17-1) unstable; urgency=low

  * New upstream release
    - evaluate second argument again (closes: #303969)
  * pass --disable-indirect-deps to configure for now.  This'll change
    post-sarge, but we don't want to introduce breakage now.
  * lowercase first letter in description to shut up lintian
  
 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 12 Apr 2005 13:21:08 +0200

pkgconfig (0.16.0-1) unstable; urgency=low

  * New maintainer.
  * New upstream release
    - Don't break off from --list-all when provides isn't met 
      (closes: #232719)
    - Quote PKG_CHECK_MODULES properly (closes: #274477)
    - Minor man page fix (closes: #223245)
    - Fixes --errors-to-stdout (closes: #202409)
    - Include more robust pkg.m4 (closes: #221818)
  * Add multiarch search paths to default search path
  * Make sure /usr/local/pkgconfig is in the default search path 
    (closes: #245717)
  * Add /usr/local/share/pkgconfig and /usr/share/pkgconfig to default
    search path

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 18 Feb 2005 18:08:58 +0100

pkgconfig (0.15.0-4) unstable; urgency=low

  * New Maintainer.
  * Moved into my package infrastructure and cleaned up:
    - debian/copyright updated to my template to include no warranty
      disclaimer.
    - AUTHORS added to docs, removed from copyright
    - NEWS added to docs.
  * Regenerated auto* using libtool_1.5.2-2 which really contains the
    FreeBSD support, the experimental 1.6 package doesn't.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 28 Mar 2004 19:04:50 +0100

pkgconfig (0.15.0-3) unstable; urgency=low

  * [debian/rules] Extended the 'autogen' target.
  * [debian/control] Updated Standards-Version.
  * Regenerated auto* using libtool 1.6-0+1.5a-1 from experimental to support
    the Debian GNU/KFreeBSD port. (Closes: 218415)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 31 Oct 2003 09:33:04 +0100

pkgconfig (0.15.0-2) unstable; urgency=low

  * [configure.in] Removed some leftover experimental code; test for the
    actual system glib when deciding whether to use the sytem glib or the
    local copy. This means that in a bootstrapping setting the Build-Depends
    on glib can be ignored. (Closes: #181947)
  * [debian/rules] Clean out autom4te.cache .

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  2 Mar 2003 11:48:32 +0100

pkgconfig (0.15.0-1) unstable; urgency=low

  * New maintainer.
  * Acknowledge NMUs. (Closes: #132474, #135742, #149825, #149831, #162870,
    #164500)
  * New upstream release. Changes include:
    - add PKG_CONFIG_LIBDIR for cross-compiling (David Schleef)
      (Closes: #177709)
  * [debian/control] Added Suggests: libgnome-dev (for gnome-config, which
    pkg-config falls back on when no .pc file is found). (Closes: #172008)
  * [debian/control] Updated Standards-Version; changed description.
  * [debian/rules] Added "autogen" target to re-auto* things.
  * [debian/copyright] Updated; fixed lintian warning.
  * [configure.in, debian/control] On Debian, use the system glib instead of
    the local copy. (Closes: #159895)
  * [pkg.c] Include /usr/local/lib/pkgconfig in the default search path for
    .pc files. (Closes: #159507)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 16 Feb 2003 14:01:27 +0100

pkgconfig (0.14.0-0.4) unstable; urgency=low

  * NMU
  * Update config.{sub,guess} in the included glib source automatically as
    well.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 14 Oct 2002 08:10:06 +0200

pkgconfig (0.14.0-0.3) unstable; urgency=low

  * NMU
  * -0.2 still had a FTBFS on mipsel. Now use dpkg-architecture to set --build
    argument to configure. 

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 13 Oct 2002 16:09:46 +0200

pkgconfig (0.14.0-0.2) unstable; urgency=low

  * NMU
  * Updated config.{sub,guess} (20010907 -> 20020703). Should fix the FTBFS 
    on mipsel.
  * Automatically update config.{sub,guess} from autotools-dev in 'clean' 
    target, if possible.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 13 Oct 2002 16:09:46 +0200

pkgconfig (0.14.0-0.1) unstable; urgency=low

  * NMU, OKed by maintainer.
  * New upstream release. (Closes: #162870)
    Includes
      * parse.c, pkg.c: handle other_libs other_cflags same as -l/-L/-I flags, 
        so we pull in from dependent packages.
    which fixes the with issues -pthread and the likes.
  * Dropped obsoleted "dh_testversion" from debian/rules.
  * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 11 Oct 2002 19:16:30 +0200

pkgconfig (0.12.0-0.1) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #135742, #149825, #149831)

 -- David Schleef <ds@schleef.org>  Fri, 28 Jun 2002 15:38:52 -0700

pkgconfig (0.11.0-0.1) unstable; urgency=low

  * New upstream release
  * NMU

 -- Takuo KITAME <kitame@northeye.org>  Sun, 10 Mar 2002 19:27:18 +0900

pkgconfig (0.10.0-0.1) unstable; urgency=low

  * New upstream release (closes: #132474, #133585)
  * NMU

 -- Takuo KITAME <kitame@northeye.org>  Wed,  6 Feb 2002 02:54:26 +0900

pkgconfig (0.8.0-1.1) unstable; urgency=low

  * NMU
  * Also need to update glib-1.2.8/config.{guess,sub}.  Re Closes: #103344

 -- LaMont Jones <lamont@debian.org>  Fri, 19 Oct 2001 08:10:36 -0600

pkgconfig (0.8.0-1) unstable; urgency=low

  * New upstream version (Closes: bug#106112).
  * Updated config.sub and config.guess (Closes: bug#103344).

 -- Paolo Molaro <lupus@debian.org>  Sun, 16 Sep 2001 18:34:00 +0200

pkgconfig (0.7.0-1) unstable; urgency=low

  * New upstream version.

 -- Paolo Molaro <lupus@debian.org>  Sun, 10 Jun 2001 15:57:15 +0200

pkgconfig (0.5.0-1) unstable; urgency=low

  * Initial Release.

 -- Paolo Molaro <lupus@debian.org>  Wed,  7 Mar 2001 17:45:15 +0100